commit:     402e06e5f2ea5b4decd3688d3a172ea2090fa68c
Author:     David Roman <davidroman96 <AT> gmail <DOT> com>
AuthorDate: Mon Jan  8 10:41:29 2024 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sat Jan 13 09:07:14 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=402e06e5

net-p2p/kubo: add 0.25.0

Closes: https://bugs.gentoo.org/921141
Closes: https://github.com/gentoo/gentoo/pull/33262
Signed-off-by: David Roman <davidroman96 <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 net-p2p/kubo/Manifest           |  1 +
 net-p2p/kubo/kubo-0.25.0.ebuild | 72 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/net-p2p/kubo/Manifest b/net-p2p/kubo/Manifest
index ccab66c9d3be..b72340d7f7a9 100644
--- a/net-p2p/kubo/Manifest
+++ b/net-p2p/kubo/Manifest
@@ -1,3 +1,4 @@
 DIST kubo-0.20.0.tar.gz 15476743 BLAKE2B 
8b7e58f18c1342981f575545c6e11a167df240bb0d6d0712bcb3fd6a0aa7f84a6737af06d2ae89fe998ee715be5c0e0c39f4ce83685ae238008c46f48c6cf7a1
 SHA512 
5231efce18dbb6491fa6665db8d1522efcb2d7278203259714b77d655060765922e9076addb1de3e10950c2c7aa3c9e24e2114879c3e4ce1fceef69755b12eaf
 DIST kubo-0.21.0.tar.gz 15523789 BLAKE2B 
3db5e59ade1b121a7403b4188e90305dc1689922494114a7729ae23d3e3c8d89c244dc8ebb5a2563c79c6f591b4840d79c935cf6fbb7004e1f869c165308eeca
 SHA512 
16b1462f4f2811f6188d6e6ca9c466bb8071dd45ca66d40e3f4c7d37d31b16bb3fb6d2408c61dfc5d3120847c25da735db0f89661d29493684a81a6f94251278
 DIST kubo-0.22.0.tar.gz 15681418 BLAKE2B 
059c6b34a8188ad2add2ecb1cd8f69d755388d9c74c58ad5c2e95459101aa77397ad16e92b72ffe703f0dc2f62b04573fdf9da065aaee003623c6038601370c7
 SHA512 
08fff4a53286e106ecebeb2bee6f0f0154e8f75029f9dacf5c5e99f23d27c8243adb8cf69bea7da1df0e849bf325f18516ed6c18a5454623da2530a0f3810a32
+DIST kubo-0.25.0.tar.gz 16346357 BLAKE2B 
d9871cccb88a00929eedbc3322926683275786328dc70581208d3b59d59e34c3c8374e3f5194c163dc3517a848675671573429ca72bc41e7ca00d38a40c3b2db
 SHA512 
ec089317ef7bea0d3dbc723e601e5b5e4dcd030ad5edc11a6e4fdb4f2b33be771e2e54189af260b11a6259a0a8108eabb7c09d224ae9711642430926586f2f95

diff --git a/net-p2p/kubo/kubo-0.25.0.ebuild b/net-p2p/kubo/kubo-0.25.0.ebuild
new file mode 100644
index 000000000000..5eb80133d072
--- /dev/null
+++ b/net-p2p/kubo/kubo-0.25.0.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module shell-completion systemd
+
+DESCRIPTION="Main implementation of IPFS"
+HOMEPAGE="https://ipfs.io/ https://github.com/ipfs/kubo/";
+SRC_URI="https://github.com/ipfs/${PN}/releases/download/v${PV}/kubo-source.tar.gz
 -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0 BSD BSD-2 CC0-1.0 ISC MIT MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+       acct-group/ipfs
+       acct-user/ipfs
+       sys-fs/fuse:0
+"
+RDEPEND="${DEPEND}"
+
+DOCS=( CHANGELOG.md CONTRIBUTING.md README.md docs/ )
+
+S="${WORKDIR}"
+
+src_compile() {
+       local mygoargs
+       mygoargs=(
+               -tags release
+       )
+
+       ego build "${mygoargs[@]}" -o ipfs ./cmd/ipfs
+       ego build "${mygoargs[@]}" -o ipfswatch ./cmd/ipfswatch
+
+       IPFS_PATH="" ./ipfs commands completion bash > ipfs-completion.bash || 
die
+       IPFS_PATH="" ./ipfs commands completion fish > ipfs-completion.fish || 
die
+       IPFS_PATH="" ./ipfs commands completion zsh > ipfs-completion.zsh || die
+}
+
+src_test() {
+       ego test ./cmd/ipfs/... ./cmd/ipfswatch/...
+}
+
+src_install() {
+       dobin ipfs
+       dobin ipfswatch
+       newbashcomp ipfs-completion.bash ipfs
+       newfishcomp ipfs-completion.fish ipfs
+       newzshcomp ipfs-completion.zsh _ipfs
+       einstalldocs
+
+       systemd_dounit "${FILESDIR}/ipfs.service"
+       systemd_newunit "${FILESDIR}/ipfs-at.service" "ipfs@.service"
+
+       newinitd "${FILESDIR}/ipfs.init" ipfs
+       newconfd "${FILESDIR}/ipfs.confd" ipfs
+
+       keepdir /var/log/ipfs
+       fowners -R ipfs:ipfs /var/log/ipfs
+}
+
+pkg_postinst() {
+       elog 'To be able to use the ipfs service you will need to create the 
ipfs repository'
+       elog '(eg: su -s /bin/sh -c "ipfs init -e" ipfs)'
+       elog 'or change IPFS_PATH of /etc/conf.d/ipfs with another with proper 
permissions.'
+
+       # See https://bugs.gentoo.org/838238
+       ewarn 'In case kubo CPU usage is too high run the next workaround'
+       ewarn 'su -s /bin/sh -c "ipfs config profile apply lowpower" ipfs'
+       ewarn 'Be aware that this will make your node less visible to other 
peers'
+}

Reply via email to